Bug 865 - Bluetooth DUN is unreliable with Sony Ericsson W950i phone
: Bluetooth DUN is unreliable with Sony Ericsson W950i phone
Status: CLOSED FIXED
Product: Connectivity
DUN
: 2.0
: All All
: Medium normal with 1 vote (vote)
: ---
Assigned To: unassigned
: dun-bugs
:
: ITOS2007HE-garage
:
:
  Show dependency tree
 
Reported: 2006-11-20 00:55 UTC by Neil MacLeod
Modified: 2007-10-16 20:49 UTC (History)
2 users (show)

See Also:


Attachments
bluez-hcidump package (84.54 KB, application/x-debian-package)
2006-12-08 10:49 UTC, Johan Hedberg
Details
hcidump of a successful 770 to W950i BT connection (23.81 KB, text/plain)
2006-12-08 12:46 UTC, Neil MacLeod
Details
hcidump of a failed connection (corresponding syslog follows) (2.66 KB, text/plain)
2006-12-08 13:09 UTC, Neil MacLeod
Details
syslog output from reboot and during a failed BT connection to W950i phone (57.43 KB, text/plain)
2006-12-08 13:11 UTC, Neil MacLeod
Details
sdp-query and inline syslog output (3.50 KB, text/plain)
2006-12-08 13:37 UTC, Neil MacLeod
Details
sdptool commands failing, hci0 reset, sdptool commands working (6.16 KB, text/plain)
2006-12-08 13:54 UTC, Neil MacLeod
Details
Modified sdp-query (23.99 KB, application/octet-stream)
2006-12-21 12:06 UTC, Johan Hedberg
Details
Modified sdp-query (with increased max service count) (23.99 KB, application/octet-stream)
2006-12-22 13:45 UTC, Johan Hedberg
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Neil MacLeod (reporter) maemo.org 2006-11-20 00:55:49 UTC
Using latest 2.2006.39-14 (OS 2006 v2) firmware, I have paired the 770 with a
Sony Ericsson W950i (sorry Nokia!) phone (on O2 network in the UK, with BT
firmware CXC162058 R3A01) and the 770 can connect succesfully to the phone for
DUN (over GPRS).

However, if I disconnect then attempt to establish another DUN connection with
the W950i, the 770 will fail *immediately* with the error "Connection to phone
failed, Try again?" and the W950i behaves as if nothing is trying to connect
(ie. no BT connection is being attempted by the 770). There is no information
present in dmesg relating to BT at this point.

If I then execute "hciconfig hci0 reset" and attempt to establish a DUN
connection, the 770 will begin to establish the connection (a double headed
arrow will appear next to tbe BT icon on the W950i) and the 770 has a 50/50
chance of completing a connection through to the internet - if the connection
fails it will fail with the error "Connection to phone failed, Try again?", and
subsequent BT connections fail immediateily (ie. no connection started by 770)
until another hciconfig reset.

Workarounds:

#1: Reboot the 770 and it will connect to the W950 one more time, before another
reboot is required

#2: "hciconfig hci0 reset" works only some of the time.

W950i firwmare details:
PDA Software: CXC162088 R1B01
Phone: CXC162037 R9C001
BT: CXC162058 R3A01
CDA: CDA162017/8 R1A08

BT Power Saving is disabled on the W950i, and phone is not visible to other
devices (neither option makes any difference).
W950i always trusts the 770.
Comment 1 Neil MacLeod (reporter) maemo.org 2006-11-20 01:10:11 UTC
This is the output from "hcitool info <bd address>" in case it helps any:

Requesting information ...
        BD Address:  00:19:63:15:xx:xx
        Device Name: W950i
        LMP Version: 1.2 (0x2) LMP Subversion: 0x41c
        Manufacturer: Philips Semiconductors (37)
        Features: 0xff 0xed 0x8d 0xf8 0x1a 0x08 0x00 0x00
                <3-slot packets> <5-slot packets> <encryption> <slot offset>
                <timing accuracy> <role switch> <hold mode> <sniff mode>
                <park state> <channel quality> <SCO link> <HV3 packets>
                <u-law log> <A-law log> <CVSD> <power control>
                <transparent SCO> <broadcast encrypt> <enhanced iscan>
                <interlaced iscan> <interlaced pscan> <inquiry with RSSI>
                <extended SCO> <EV5 packets> <AFH cap. slave>
                <AFH class. slave> <AFH cap. master>
Comment 2 Neil MacLeod (reporter) maemo.org 2006-12-04 19:16:11 UTC
I'm getting the same Bluetooth dieing behaviour in Sardine on 770 (upgraded
from
Scirocco on 3 December 2006)
Comment 3 Johan Hedberg nokia 2006-12-08 10:05:58 UTC
Could you install bluez-hcidump and post the output of "hcidump -X -V" (run as
root) while you reproduce the problem?
Comment 4 Johan Hedberg nokia 2006-12-08 10:49:40 UTC
Created an attachment (id=152) [details]
bluez-hcidump package

After a quick look I couldn't find a recent armel package of bluez-hcidump on
repository.maemo.org so here's one I just compiled. Hopefully the dependencies
are correct (not against too new pacakges). If they aren't, dpkg
--force-depends should help.
Comment 5 Neil MacLeod (reporter) maemo.org 2006-12-08 11:53:49 UTC
Hi Johan - unfortunately hcidump is dependent on libbluetooth.so.2 in Scirocco
(which doesn't appear available) so I've switched to my build of Sardine where
hcidump installs OK.

I rebooted the 770 (Sardine on MMC, last upgraded 5 Dec) and the W950i (removed
battery). I started hcidump -X -V, paired the 770 with the W950i then attempted
to establish a BT connection to the W950i. This connection failed, however the
phone did display the double-headed arrow next to BT logo suggesting the 770 and
phone were communicating. After the initial connection failed I attempted a
second BT connection to the phone (the phone did NOT register this connection
which also failed). The last line output by hcidump is "Create Connection..."
for the second connection attempt.

HCI sniffer - Bluetooth packet analyzer ver 1.33
device: hci0 snap_len: 1028 filter: 0xffffffff
< HCI Command: Inquiry (0x01|0x0001) plen 5
    lap 0x9e8b33 len 4 num 100
> HCI Event: Command Status (0x0f) plen 4
    Inquiry (0x01|0x0001) status 0x00 ncmd 1
> HCI Event: Inquiry Result with RSSI (0x22) plen 15
    bdaddr 00:19:63:15:B6:BA mode 1 clkoffset 0x7d92 class 0x5a020c rssi -33
> HCI Event: Inquiry Complete (0x01) plen 1
    status 0x00
< HCI Command: Remote Name Request (0x01|0x0019) plen 10
    bdaddr 00:19:63:15:B6:BA mode 1 clkoffset 0x7d92
> HCI Event: Command Status (0x0f) plen 4
    Remote Name Request (0x01|0x0019) status 0x00 ncmd 1
> HCI Event: Remote Name Req Complete (0x07) plen 255
    status 0x00 bdaddr 00:19:63:15:B6:BA name 'W950i'
< HCI Command: Inquiry (0x01|0x0001) plen 5
    lap 0x9e8b33 len 8 num 100
> HCI Event: Command Status (0x0f) plen 4
    Inquiry (0x01|0x0001) status 0x00 ncmd 1
> HCI Event: Inquiry Result with RSSI (0x22) plen 15
    bdaddr 00:19:63:15:B6:BA mode 1 clkoffset 0x7d93 class 0x5a020c rssi -36
> HCI Event: Inquiry Complete (0x01) plen 1
    status 0x00
< HCI Command: Delete Stored Link Key (0x03|0x0012) plen 7
    bdaddr 00:19:63:15:B6:BA all 0
> HCI Event: Command Complete (0x0e) plen 6
    Delete Stored Link Key (0x03|0x0012) ncmd 1
    status 0x00 deleted 0
< HCI Command: Create Connection (0x01|0x0005) plen 13
    bdaddr 00:19:63:15:B6:BA ptype 0xcc18 rswitch 0x01 clkoffset 0x7d92
    Packet type: DM1 DM3 DM5 DH1 DH3 DH5 
> HCI Event: Command Status (0x0f) plen 4
    Create Connection (0x01|0x0005) status 0x00 ncmd 1
> HCI Event: Connect Complete (0x03) plen 11
    status 0x00 handle 1 bdaddr 00:19:63:15:B6:BA type ACL encrypt 0x00
< HCI Command: Write Link Policy Settings (0x02|0x000d) plen 4
    handle 1 policy 0x0f
    Link policy: RSWITCH HOLD SNIFF PARK 
> HCI Event: Command Complete (0x0e) plen 6
    Write Link Policy Settings (0x02|0x000d) ncmd 1
    status 0x00 handle 1
< HCI Command: Remote Name Request (0x01|0x0019) plen 10
    bdaddr 00:19:63:15:B6:BA mode 2 clkoffset 0x0000
> HCI Event: Command Status (0x0f) plen 4
    Remote Name Request (0x01|0x0019) status 0x00 ncmd 1
< HCI Command: Authentication Requested (0x01|0x0011) plen 2
    handle 1
> HCI Event: Remote Name Req Complete (0x07) plen 255
    status 0x00 bdaddr 00:19:63:15:B6:BA name 'W950i'
> HCI Event: Max Slots Change (0x1b) plen 3
    handle 1 slots 5
> HCI Event: Command Status (0x0f) plen 4
    Authentication Requested (0x01|0x0011) status 0x00 ncmd 1
> HCI Event: Link Key Request (0x17) plen 6
    bdaddr 00:19:63:15:B6:BA
< HCI Command: Link Key Request Negative Reply (0x01|0x000c) plen 6
    bdaddr 00:19:63:15:B6:BA
> HCI Event: Command Complete (0x0e) plen 10
    Link Key Request Negative Reply (0x01|0x000c) ncmd 1
    status 0x00 bdaddr 00:19:63:15:B6:BA
> HCI Event: PIN Code Request (0x16) plen 6
    bdaddr 00:19:63:15:B6:BA
< HCI Command: PIN Code Request Reply (0x01|0x000d) plen 23
    bdaddr 00:19:63:15:B6:BA len 4 pin '9025'
> HCI Event: Command Complete (0x0e) plen 10
    PIN Code Request Reply (0x01|0x000d) ncmd 1
    status 0x00 bdaddr 00:19:63:15:B6:BA
> HCI Event: Link Key Notification (0x18) plen 23
    bdaddr 00:19:63:15:B6:BA key DAEA1C571A11D9A761B6066409B9F118 type 0
> HCI Event: Auth Complete (0x06) plen 3
    status 0x00 handle 1
< HCI Command: Disconnect (0x01|0x0006) plen 3
    handle 1 reason 0x13
    Reason: Remote User Terminated Connection
> HCI Event: Command Status (0x0f) plen 4
    Disconnect (0x01|0x0006) status 0x00 ncmd 1
> HCI Event: Disconn Complete (0x05) plen 4
    status 0x00 handle 1 reason 0x16
    Reason: Connection Terminated by Local Host
< HCI Command: Create Connection (0x01|0x0005) plen 13
    bdaddr 00:19:63:15:B6:BA ptype 0xcc18 rswitch 0x01 clkoffset 0x7d93 (valid)
    Packet type: DM1 DM3 DM5 DH1 DH3 DH5 
> HCI Event: Command Status (0x0f) plen 4
    Create Connection (0x01|0x0005) status 0x00 ncmd 1
> HCI Event: Connect Complete (0x03) plen 11
    status 0x00 handle 1 bdaddr 00:19:63:15:B6:BA type ACL encrypt 0x00
< ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(s): Connect req: psm 1 scid 0x0040
< HCI Command: Write Link Policy Settings (0x02|0x000d) plen 4
    handle 1 policy 0x0f
    Link policy: RSWITCH HOLD SNIFF PARK 
> HCI Event: Command Complete (0x0e) plen 6
    Write Link Policy Settings (0x02|0x000d) ncmd 1
    status 0x00 handle 1
< HCI Command: Remote Name Request (0x01|0x0019) plen 10
    bdaddr 00:19:63:15:B6:BA mode 2 clkoffset 0x0000
> HCI Event: Command Status (0x0f) plen 4
    Remote Name Request (0x01|0x0019) status 0x00 ncmd 1
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 1
> HCI Event: Remote Name Req Complete (0x07) plen 255
    status 0x00 bdaddr 00:19:63:15:B6:BA name 'W950i'
> HCI Event: Max Slots Change (0x1b) plen 3
    handle 1 slots 5
> ACL data: handle 1 flags 0x02 dlen 10
    L2CAP(s): Info req: type 2
< ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(s): Info rsp: type 2 result 1
      Not supported
> ACL data: handle 1 flags 0x02 dlen 28
    L2CAP(s): Connect rsp: dcid 0x0040 scid 0x0040 result 1 status 2
      Connection pending - Authorization pending
    L2CAP(s): Connect rsp: dcid 0x0040 scid 0x0040 result 0 status 0
      Connection successful
< ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(s): Config req: dcid 0x0040 flags 0x00 clen 0
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 2
> ACL data: handle 1 flags 0x02 dlen 26
    L2CAP(s): Config req: dcid 0x0040 flags 0x00 clen 0
    L2CAP(s): Config rsp: scid 0x0040 flags 0x00 result 0 clen 4
      Success
      MTU 672 
< ACL data: handle 1 flags 0x02 dlen 14
    L2CAP(s): Config rsp: scid 0x0040 flags 0x00 result 0 clen 0
      Success
< ACL data: handle 1 flags 0x02 dlen 24
    L2CAP(d): cid 0x0040 len 20 [psm 1]
        SDP SSA Req: tid 0x0 len 0xf
          pat uuid-16 0x1002 (PubBrwsGrp)
          max 65535
          aid(s) 0x0000 - 0xffff
          cont 00
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 2
> ACL data: handle 1 flags 0x02 dlen 339
> ACL data: handle 1 flags 0x01 dlen 337
    L2CAP(d): cid 0x0040 len 672 [psm 1]
        SDP SSA Rsp: tid 0x0 len 0x29b
          count 654
          cont 0A 00 00 02 8E 00 00 07 46 00 00
< ACL data: handle 1 flags 0x02 dlen 34
    L2CAP(d): cid 0x0040 len 30 [psm 1]
        SDP SSA Req: tid 0x1 len 0x19
          pat uuid-16 0x1002 (PubBrwsGrp)
          max 65535
          aid(s) 0x0000 - 0xffff
          cont 0A 00 00 02 8E 00 00 07 46 00 00
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 1
> HCI Event: Role Change (0x12) plen 8
    status 0x00 bdaddr 00:19:63:15:B6:BA role 0x01
    Role: Slave
> ACL data: handle 1 flags 0x02 dlen 339
> ACL data: handle 1 flags 0x01 dlen 337
    L2CAP(d): cid 0x0040 len 672 [psm 1]
        SDP SSA Rsp: tid 0x1 len 0x29b
          count 654
          cont 0A 00 00 05 1C 00 00 07 46 00 00
< ACL data: handle 1 flags 0x02 dlen 34
    L2CAP(d): cid 0x0040 len 30 [psm 1]
        SDP SSA Req: tid 0x2 len 0x19
          pat uuid-16 0x1002 (PubBrwsGrp)
          max 65535
          aid(s) 0x0000 - 0xffff
          cont 0A 00 00 05 1C 00 00 07 46 00 00
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 1
> ACL data: handle 1 flags 0x02 dlen 339
> ACL data: handle 1 flags 0x01 dlen 227
    L2CAP(d): cid 0x0040 len 562 [psm 1]
        SDP SSA Rsp: tid 0x2 len 0x22d
          count 554
          record #0
              aid 0x0000 (SrvRecHndl)
                 uint 0x10000
              aid 0x0001 (SrvClassIDList)
                 < uuid-16 0x110c (AVRemTarget) >
              aid 0x0004 (ProtocolDescList)
                 < < uuid-16 0x0100 (L2CAP) uint 0x17 > <
                 uuid-16 0x0017 (AVCTP) uint 0x100 > >
              aid 0x0005 (BrwGrpList)
                 < uuid-16 0x1002 (PubBrwsGrp) >
              aid 0x0009 (BTProfileDescList)
                 < < uuid-16 0x110e (AVRemote) uint 0x100 > >
              aid 0x0100 (SrvName)
                 str "AVRCP Target"
              aid 0x0101 (SrvDesc)
                 str "Audio Video Remote Control"
              aid 0x0102 (ProviderName)
                 str "Symbian Software Ltd."
              aid 0x0311 (SuppFeatures)
                 uint 0xf
          record #1
              aid 0x0000 (SrvRecHndl)
                 uint 0x10001
              aid 0x0001 (SrvClassIDList)
                 < uuid-16 0x110e (AVRemote) >
              aid 0x0004 (ProtocolDescList)
                 < < uuid-16 0x0100 (L2CAP) uint 0x17 > <
                 uuid-16 0x0017 (AVCTP) uint 0x100 > >
              aid 0x0005 (BrwGrpList)
                 < uuid-16 0x1002 (PubBrwsGrp) >
              aid 0x0009 (BTProfileDescList)
                 < < uuid-16 0x110e (AVRemote) uint 0x100 > >
              aid 0x0100 (SrvName)
                 str "AVRCP Controller"
              aid 0x0101 (SrvDesc)
                 str "Audio Video Remote Control"
              aid 0x0102 (ProviderName)
                 str "Symbian Software Ltd."
              aid 0x0311 (SuppFeatures)
                 uint 0xf
          record #2
              aid 0x0000 (SrvRecHndl)
                 uint 0x10002
              aid 0x0001 (SrvClassIDList)
                 < uuid-128 a2157972-3541-4d0b-a551-b3abe639f526 uuid-16 0x1201
(Networking) >
              aid 0x0002 (SrvRecState)
                 uint 0x9
              aid 0x0004 (ProtocolDescList)
                 < < uuid-16 0x0100 (L2CAP) > <
                 uuid-16 0x0003 (RFCOMM) uint 0x1 > >
              aid 0x0005 (BrwGrpList)
                 < uuid-16 0x1002 (PubBrwsGrp) >
              aid 0x0006 (LangBaseAttrIDList)
                 < uint 0x656e uint 0x6a uint 0x100 >
              aid 0x0007 (SrvInfoTimeToLive)
                 uint 0x4b0
              aid 0x0008 (SrvAvail)
                 uint 0xff
              aid 0x0100 (SrvName)
                 str "m-Router Connectivity"
              aid 0x0101 (SrvDesc)
                 str "m-Router Connectivity"
              aid 0x0102 (ProviderName)
                 str "Symbian Ltd."
          record #3
              aid 0x0000 (SrvRecHndl)
                 uint 0x10003
              aid 0x0001 (SrvClassIDList)
                 < uuid-16 0x1101 (SP) >
              aid 0x0002 (SrvRecState)
                 uint 0x9
              aid 0x0004 (ProtocolDescList)
                 < < uuid-16 0x0100 (L2CAP) > <
                 uuid-16 0x0003 (RFCOMM) uint 0x2 > >
              aid 0x0005 (BrwGrpList)
                 < uuid-16 0x1002 (PubBrwsGrp) >
              aid 0x0006 (LangBaseAttrIDList)
                 < uint 0x656e uint 0x6a uint 0x100 >
              aid 0x0007 (SrvInfoTimeToLive)
                 uint 0x4b0
              aid 0x0008 (SrvAvail)
                 uint 0xff
              aid 0x0100 (SrvName)
                 str "m-Router Connectivity"
              aid 0x0101 (SrvDesc)
                 str "m-Router Connectivity"
              aid 0x0102 (ProviderName)
                 str "Symbian Ltd."
          record #4
              aid 0x0000 (SrvRecHndl)
                 uint 0x10004
              aid 0x0001 (SrvClassIDList)
                 < uuid-32 0x8e771301 >
              aid 0x0004 (ProtocolDescList)
                 < < uuid-16 0x0100 (L2CAP) uint 0xf0f9 > <
                 uuid-32 0x8e770300 > >
              aid 0x0005 (BrwGrpList)
                 < uuid-16 0x1002 (PubBrwsGrp) >
              aid 0x0006 (LangBaseAttrIDList)
                 < uint 0x656e uint 0x6a uint 0x100 >
              aid 0x0009 (BTProfileDescList)
                 < < uuid-32 0x8e771303 uint 0x100 > >
              aid 0x0100 (SrvName)
                 str "SEMC HLA"
          record #5
              aid 0x0000 (SrvRecHndl)
                 uint 0x10005
              aid 0x0001 (SrvClassIDList)
                 < uuid-16 0x1103 (DUN) >
              aid 0x0002 (SrvRecState)
                 uint 0xa
              aid 0x0004 (ProtocolDescList)
                 < < uuid-16 0x0100 (L2CAP) > <
                 uuid-16 0x0003 (RFCOMM) uint 0x7 > >
              aid 0x0005 (BrwGrpList)
                 < uuid-16 0x1002 (PubBrwsGrp) >
              aid 0x0006 (LangBaseAttrIDList)
                 < uint 0x656e uint 0x6a uint 0x100 >
              aid 0x0008 (SrvAvail)
                 uint 0xff
              aid 0x0009 (BTProfileDescList)
                 < < uuid-16 0x1103 (DUN) uint 0x100 > >
              aid 0x0100 (SrvName)
                 str "Dial-up Networking"
              aid 0x0101 (SrvDesc)
                 str "Symbian OS,UIQ phone"
              aid 0x0102 (ProviderName)
                 str "Sony Ericsson"
          record #6
              aid 0x0000 (SrvRecHndl)
                 uint 0x10007
              aid 0x0001 (SrvClassIDList)
                 < uuid-16 0x110a (AudioSource) >
              aid 0x0002 (SrvRecState)
                 uint 0xb
              aid 0x0004 (ProtocolDescList)
                 < < uuid-16 0x0100 (L2CAP) uint 0x19 > <
                 uuid-16 0x0019 (AVDTP) uint 0x100 > >
              aid 0x0005 (BrwGrpList)
                 < uuid-16 0x1002 (PubBrwsGrp) >
              aid 0x0006 (LangBaseAttrIDList)
                 < uint 0x656e uint 0x6a uint 0x100 >
              aid 0x0008 (SrvAvail)
                 uint 0xff
              aid 0x0009 (BTProfileDescList)
                 < < uuid-16 0x110d (AdvAudio) uint 0x100 > >
              aid 0x0100 (SrvName)
                 str "Audio Streaming Source"
              aid 0x0101 (SrvDesc)
                 str "Symbian OS,UIQ phone"
              aid 0x0102 (ProviderName)
                 str "Sony Ericsson"
              aid 0x0311 (SuppFeatures)
                 uint 0x1
          record #7
              aid 0x0000 (SrvRecHndl)
                 uint 0x10009
              aid 0x0001 (SrvClassIDList)
                 < uuid-16 0x1112 (Headset AG) uuid-16 0x1203 (Audio) >
              aid 0x0002 (SrvRecState)
                 uint 0xa
              aid 0x0004 (ProtocolDescList)
                 < < uuid-16 0x0100 (L2CAP) > <
                 uuid-16 0x0003 (RFCOMM) uint 0x8 > >
              aid 0x0005 (BrwGrpList)
                 < uuid-16 0x1002 (PubBrwsGrp) >
              aid 0x0006 (LangBaseAttrIDList)
                 < uint 0x656e uint 0x6a uint 0x100 >
              aid 0x0008 (SrvAvail)
                 uint 0xff
              aid 0x0009 (BTProfileDescList)
                 < < uuid-16 0x1108 (Headset) uint 0x100 > >
              aid 0x0100 (SrvName)
                 str "Headset Audio Gateway"
              aid 0x0101 (SrvDesc)
                 str "Symbian OS,UIQ phone"
              aid 0x0102 (ProviderName)
                 str "Sony Ericsson"
          record #8
              aid 0x0000 (SrvRecHndl)
                 uint 0x1000b
              aid 0x0001 (SrvClassIDList)
                 < uuid-16 0x111f (Handsfree AG) uuid-16 0x1203 (Audio) >
              aid 0x0002 (SrvRecState)
                 uint 0xc
              aid 0x0004 (ProtocolDescList)
                 < < uuid-16 0x0100 (L2CAP) > <
                 uuid-16 0x0003 (RFCOMM) uint 0x9 > >
              aid 0x0005 (BrwGrpList)
                 < uuid-16 0x1002 (PubBrwsGrp) >
              aid 0x0006 (LangBaseAttrIDList)
                 < uint 0x656e uint 0x6a uint 0x100 >
              aid 0x0008 (SrvAvail)
                 uint 0xff
              aid 0x0009 (BTProfileDescList)
                 < < uuid-16 0x111e (Handsfree) uint 0x105 > >
              aid 0x0100 (SrvName)
                 str "Hands-free Audio Gateway"
              aid 0x0101 (SrvDesc)
                 str "Symbian OS,UIQ phone"
              aid 0x0102 (ProviderName)
                 str "Sony Ericsson"
              aid 0x0301 (SuppDataStoresList)
                 uint 0x1
              aid 0x0311 (SuppFeatures)
                 uint 0x7
          record #9
              aid 0x0000 (SrvRecHndl)
                 uint 0x1000c
              aid 0x0001 (SrvClassIDList)
                 < uuid-16 0x1115 (PANU) >
              aid 0x0004 (ProtocolDescList)
                 < < uuid-16 0x0100 (L2CAP) uint 0xf > <
                 uuid-16 0x000f (BNEP) uint 0x100 < uint 0x800 uint 0x806 uint
0x86dd > > >
              aid 0x0005 (BrwGrpList)
                 < uuid-16 0x1002 (PubBrwsGrp) >
              aid 0x0006 (LangBaseAttrIDList)
                 < uint 0x656e uint 0x6a uint 0x100 >
              aid 0x0009 (BTProfileDescList)
                 < < uuid-16 0x1115 (PANU) uint 0x100 > >
              aid 0x0100 (SrvName)
                 str "Personal Ad-hoc User Service"
              aid 0x0101 (SrvDesc)
                 str "Personal Ad-hoc User Service"
              aid 0x0102 (ProviderName)
                 str "Symbian Software Ltd."
              aid 0x030a (SecurityDescription)
                 int 0x1
          record #10
              aid 0x0000 (SrvRecHndl)
                 uint 0x1000d
              aid 0x0001 (SrvClassIDList)
                 < uuid-16 0x1117 (GN) >
              aid 0x0004 (ProtocolDescList)
                 < < uuid-16 0x0100 (L2CAP) uint 0xf > <
                 uuid-16 0x000f (BNEP) uint 0x100 < uint 0x800 uint 0x806 uint
0x86dd > > >
              aid 0x0005 (BrwGrpList)
                 < uuid-16 0x1002 (PubBrwsGrp) >
              aid 0x0006 (LangBaseAttrIDList)
                 < uint 0x656e uint 0x6a uint 0x100 >
              aid 0x0009 (BTProfileDescList)
                 < < uuid-16 0x1117 (GN) uint 0x100 > >
              aid 0x0100 (SrvName)
                 str "Group Ad-hoc Network Service"
              aid 0x0101 (SrvDesc)
                 str "Personal Group Ad-hoc Network Service"
              aid 0x0102 (ProviderName)
                 str "Symbian Software Ltd."
              aid 0x030a (SecurityDescription)
                 int 0x1
          record #11
              aid 0x0000 (SrvRecHndl)
                 uint 0x1000e
              aid 0x0001 (SrvClassIDList)
                 < uuid-16 0x1105 (OBEXObjPush) >
              aid 0x0004 (ProtocolDescList)
                 < < uuid-16 0x0100 (L2CAP) > <
                 uuid-16 0x0003 (RFCOMM) uint 0x3 > <
                 uuid-16 0x0008 (OBEX) > >
              aid 0x0005 (BrwGrpList)
                 < uuid-16 0x1002 (PubBrwsGrp) >
              aid 0x0009 (BTProfileDescList)
                 < < uuid-16 0x1105 (OBEXObjPush) uint 0x100 > >
              aid 0x0100 (SrvName)
                 str "Object Push"
              aid 0x0303 (SuppFormatsList)
                 < uint 0xff >
          record #12
              aid 0x0000 (SrvRecHndl)
                 uint 0x1000f
              aid 0x0001 (SrvClassIDList)
                 < uuid-16 0x1106 (OBEXObjTrnsf) >
              aid 0x0004 (ProtocolDescList)
                 < < uuid-16 0x0100 (L2CAP) > <
                 uuid-16 0x0003 (RFCOMM) uint 0x4 > <
                 uuid-16 0x0008 (OBEX) > >
              aid 0x0005 (BrwGrpList)
                 < uuid-16 0x1002 (PubBrwsGrp) >
              aid 0x0009 (BTProfileDescList)
                 < < uuid-16 0x1106 (OBEXObjTrnsf) uint 0x100 > >
              aid 0x0100 (SrvName)
                 str "File transfer"
          cont 00
< ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(s): Disconn req: dcid 0x0040 scid 0x0040
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 1
> ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(s): Disconn rsp: dcid 0x0040 scid 0x0040
< ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(s): Connect req: psm 3 scid 0x0040
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 1
> ACL data: handle 1 flags 0x02 dlen 36
    L2CAP(s): Connect rsp: dcid 0x0041 scid 0x0040 result 1 status 2
      Connection pending - Authorization pending
    L2CAP(s): Connect rsp: dcid 0x0041 scid 0x0040 result 0 status 0
      Connection successful
    L2CAP(s): Config req: dcid 0x0040 flags 0x00 clen 0
< ACL data: handle 1 flags 0x02 dlen 16
    L2CAP(s): Config req: dcid 0x0041 flags 0x00 clen 4
      MTU 1013 
< ACL data: handle 1 flags 0x02 dlen 14
    L2CAP(s): Config rsp: scid 0x0041 flags 0x00 result 0 clen 0
      Success
> ACL data: handle 1 flags 0x02 dlen 18
    L2CAP(s): Config rsp: scid 0x0040 flags 0x00 result 0 clen 4
      Success
      MTU 672 
< ACL data: handle 1 flags 0x02 dlen 8
    L2CAP(d): cid 0x0041 len 4 [psm 3]
      RFCOMM(s): SABM: cr 1 dlci 0 pf 1 ilen 0 fcs 0x1c 
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 2
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 1
> ACL data: handle 1 flags 0x02 dlen 8
    L2CAP(d): cid 0x0040 len 4 [psm 3]
      RFCOMM(s): UA: cr 1 dlci 0 pf 1 ilen 0 fcs 0xd7 
< ACL data: handle 1 flags 0x02 dlen 18
    L2CAP(d): cid 0x0041 len 14 [psm 3]
      RFCOMM(s): PN CMD: cr 1 dlci 0 pf 0 ilen 10 fcs 0x70 mcc_len 8
      dlci 14 frame_type 0 credit_flow 15 pri 7 ack_timer 0
      frame_size 667 max_retrans 0 credits 7
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 1
> ACL data: handle 1 flags 0x02 dlen 18
    L2CAP(d): cid 0x0040 len 14 [psm 3]
      RFCOMM(s): PN RSP: cr 0 dlci 0 pf 0 ilen 10 fcs 0xaa mcc_len 8
      dlci 14 frame_type 0 credit_flow 14 pri 7 ack_timer 0
      frame_size 667 max_retrans 0 credits 3
< ACL data: handle 1 flags 0x02 dlen 8
    L2CAP(d): cid 0x0041 len 4 [psm 3]
      RFCOMM(s): SABM: cr 1 dlci 14 pf 1 ilen 0 fcs 0x6 
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 1
> HCI Event: Link Key Request (0x17) plen 6
    bdaddr 00:19:63:15:B6:BA
< HCI Command: Link Key Request Reply (0x01|0x000b) plen 22
    bdaddr 00:19:63:15:B6:BA key DAEA1C571A11D9A761B6066409B9F118
> HCI Event: Command Complete (0x0e) plen 10
    Link Key Request Reply (0x01|0x000b) ncmd 1
    status 0x00 bdaddr 00:19:63:15:B6:BA
> HCI Event: Encrypt Change (0x08) plen 4
    status 0x00 handle 1 encrypt 0x01
> ACL data: handle 1 flags 0x02 dlen 8
    L2CAP(d): cid 0x0040 len 4 [psm 3]
      RFCOMM(s): UA: cr 1 dlci 14 pf 1 ilen 0 fcs 0xcd 
< ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(d): cid 0x0041 len 8 [psm 3]
      RFCOMM(s): MSC CMD: cr 1 dlci 0 pf 0 ilen 4 fcs 0x70 mcc_len 2
      dlci 14 fc 0 rtc 1 rtr 1 ic 0 dv 1 b1 0 b2 1 b3 0 len 6
> ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(d): cid 0x0040 len 8 [psm 3]
      RFCOMM(s): MSC CMD: cr 0 dlci 0 pf 0 ilen 4 fcs 0xaa mcc_len 2
      dlci 14 fc 0 rtc 1 rtr 1 ic 0 dv 1 b1 0 b2 1 b3 0 len 6
< ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(d): cid 0x0041 len 8 [psm 3]
      RFCOMM(s): MSC RSP: cr 1 dlci 0 pf 0 ilen 4 fcs 0x70 mcc_len 2
      dlci 14 fc 0 rtc 1 rtr 1 ic 0 dv 1 b1 0 b2 1 b3 0 len 6
> ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(d): cid 0x0040 len 8 [psm 3]
      RFCOMM(s): MSC CMD: cr 0 dlci 0 pf 0 ilen 4 fcs 0xaa mcc_len 2
      dlci 14 fc 0 rtc 1 rtr 1 ic 0 dv 0 b1 0 b2 1 b3 0 len 6
< ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(d): cid 0x0041 len 8 [psm 3]
      RFCOMM(s): MSC RSP: cr 1 dlci 0 pf 0 ilen 4 fcs 0x70 mcc_len 2
      dlci 14 fc 0 rtc 1 rtr 1 ic 0 dv 0 b1 0 b2 1 b3 0 len 6
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 2
> ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(d): cid 0x0040 len 8 [psm 3]
      RFCOMM(s): MSC RSP: cr 0 dlci 0 pf 0 ilen 4 fcs 0xaa mcc_len 2
      dlci 14 fc 0 rtc 1 rtr 1 ic 0 dv 1 b1 0 b2 1 b3 0 len 6
< ACL data: handle 1 flags 0x02 dlen 9
    L2CAP(d): cid 0x0041 len 5 [psm 3]
      RFCOMM(d): UIH: cr 1 dlci 14 pf 1 ilen 0 fcs 0xb9 credits 33
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 2
< ACL data: handle 1 flags 0x02 dlen 13
    L2CAP(d): cid 0x0041 len 9 [psm 3]
      RFCOMM(d): UIH: cr 1 dlci 14 pf 0 ilen 5 fcs 0xa5 
      0000: 41 54 26 46 0d                                    AT&F.
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 1
> ACL data: handle 1 flags 0x02 dlen 9
    L2CAP(d): cid 0x0040 len 5 [psm 3]
      RFCOMM(d): UIH: cr 0 dlci 14 pf 1 ilen 0 fcs 0x63 credits 5
> ACL data: handle 1 flags 0x02 dlen 13
    L2CAP(d): cid 0x0040 len 9 [psm 3]
      RFCOMM(d): UIH: cr 0 dlci 14 pf 0 ilen 5 fcs 0x7f 
      0000: 41 54 26 46 0d                                    AT&F.
> ACL data: handle 1 flags 0x02 dlen 14
    L2CAP(d): cid 0x0040 len 10 [psm 3]
      RFCOMM(d): UIH: cr 0 dlci 14 pf 0 ilen 6 fcs 0x7f 
      0000: 0d 0a 4f 4b 0d 0a                                 ..OK..
< ACL data: handle 1 flags 0x02 dlen 16
    L2CAP(d): cid 0x0041 len 12 [psm 3]
      RFCOMM(d): UIH: cr 1 dlci 14 pf 0 ilen 8 fcs 0xa5 
      0000: 41 54 2b 47 43 41 50 0d                           AT+GCAP.
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 1
> ACL data: handle 1 flags 0x02 dlen 17
    L2CAP(d): cid 0x0040 len 13 [psm 3]
      RFCOMM(d): UIH: cr 0 dlci 14 pf 1 ilen 8 fcs 0x63 credits 1
      0000: 41 54 2b 47 43 41 50 0d                           AT+GCAP.
> ACL data: handle 1 flags 0x02 dlen 29
    L2CAP(d): cid 0x0040 len 25 [psm 3]
      RFCOMM(d): UIH: cr 0 dlci 14 pf 0 ilen 21 fcs 0x7f 
      0000: 0d 0a 2b 47 43 41 50 3a  20 2b 43 47 53 4d 2c 20  ..+GCAP: +CGSM, 
      0010: 2b 44 53 0d 0a                                    +DS..
> ACL data: handle 1 flags 0x02 dlen 14
    L2CAP(d): cid 0x0040 len 10 [psm 3]
      RFCOMM(d): UIH: cr 0 dlci 14 pf 0 ilen 6 fcs 0x7f 
      0000: 0d 0a 4f 4b 0d 0a                                 ..OK..
< ACL data: handle 1 flags 0x02 dlen 8
    L2CAP(d): cid 0x0041 len 4 [psm 3]
      RFCOMM(s): DISC: cr 1 dlci 14 pf 1 ilen 0 fcs 0xe7 
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 1
> ACL data: handle 1 flags 0x02 dlen 8
    L2CAP(d): cid 0x0040 len 4 [psm 3]
      RFCOMM(s): UA: cr 1 dlci 14 pf 1 ilen 0 fcs 0xcd 
< ACL data: handle 1 flags 0x02 dlen 8
    L2CAP(d): cid 0x0041 len 4 [psm 3]
      RFCOMM(s): DISC: cr 1 dlci 0 pf 1 ilen 0 fcs 0xfd 
< ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(s): Disconn req: dcid 0x0041 scid 0x0040
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 2
> ACL data: handle 1 flags 0x02 dlen 8
    L2CAP(d): cid 0x0040 len 4 [psm 3]
      RFCOMM(s): UA: cr 1 dlci 0 pf 1 ilen 0 fcs 0xd7 
> ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(s): Disconn rsp: dcid 0x0041 scid 0x0040
< HCI Command: Disconnect (0x01|0x0006) plen 3
    handle 1 reason 0x13
    Reason: Remote User Terminated Connection
> HCI Event: Command Status (0x0f) plen 4
    Disconnect (0x01|0x0006) status 0x00 ncmd 1
> HCI Event: Disconn Complete (0x05) plen 4
    status 0x00 handle 1 reason 0x16
    Reason: Connection Terminated by Local Host
< HCI Command: Create Connection (0x01|0x0005) plen 13
    bdaddr 00:19:63:15:B6:BA ptype 0xcc18 rswitch 0x01 clkoffset 0x7d93 (valid)
    Packet type: DM1 DM3 DM5 DH1 DH3 DH5 
> HCI Event: Command Status (0x0f) plen 4
    Create Connection (0x01|0x0005) status 0x00 ncmd 1
> HCI Event: Connect Complete (0x03) plen 11
    status 0x00 handle 1 bdaddr 00:19:63:15:B6:BA type ACL encrypt 0x00
< ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(s): Connect req: psm 1 scid 0x0040
< HCI Command: Write Link Policy Settings (0x02|0x000d) plen 4
    handle 1 policy 0x0f
    Link policy: RSWITCH HOLD SNIFF PARK 
> HCI Event: Command Complete (0x0e) plen 6
    Write Link Policy Settings (0x02|0x000d) ncmd 1
    status 0x00 handle 1
< HCI Command: Remote Name Request (0x01|0x0019) plen 10
    bdaddr 00:19:63:15:B6:BA mode 2 clkoffset 0x0000
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 1
> HCI Event: Command Status (0x0f) plen 4
    Remote Name Request (0x01|0x0019) status 0x00 ncmd 1
> HCI Event: Max Slots Change (0x1b) plen 3
    handle 1 slots 5
> HCI Event: Remote Name Req Complete (0x07) plen 255
    status 0x00 bdaddr 00:19:63:15:B6:BA name 'W950i'
> ACL data: handle 1 flags 0x02 dlen 10
    L2CAP(s): Info req: type 2
< ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(s): Info rsp: type 2 result 1
      Not supported
> ACL data: handle 1 flags 0x02 dlen 28
    L2CAP(s): Connect rsp: dcid 0x0040 scid 0x0040 result 1 status 2
      Connection pending - Authorization pending
    L2CAP(s): Connect rsp: dcid 0x0040 scid 0x0040 result 0 status 0
      Connection successful
< ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(s): Config req: dcid 0x0040 flags 0x00 clen 0
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 2
> ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(s): Config req: dcid 0x0040 flags 0x00 clen 0
< ACL data: handle 1 flags 0x02 dlen 14
    L2CAP(s): Config rsp: scid 0x0040 flags 0x00 result 0 clen 0
      Success
> ACL data: handle 1 flags 0x02 dlen 18
    L2CAP(s): Config rsp: scid 0x0040 flags 0x00 result 0 clen 4
      Success
      MTU 672 
< ACL data: handle 1 flags 0x02 dlen 24
    L2CAP(d): cid 0x0040 len 20 [psm 1]
        SDP SSA Req: tid 0x0 len 0xf
          pat uuid-16 0x1103 (DUN)
          max 65535
          aid(s) 0x0000 - 0xffff
          cont 00
> HCI Event: Number of Completed Packets (0x13) plen 5
    handle 1 packets 2
< ACL data: handle 1 flags 0x02 dlen 12
    L2CAP(s): Disconn req: dcid 0x0040 scid 0x0040
> HCI Event: Disconn Complete (0x05) plen 4
    status 0x00 handle 1 reason 0x08
    Reason: Connection Timeout
< HCI Command: Create Connection (0x01|0x0005) plen 13
    bdaddr 00:19:63:15:B6:BA ptype 0xcc18 rswitch 0x01 clkoffset 0x0000
    Packet type: DM1 DM3 DM5 DH1 DH3 DH5 
> HCI Event: Command Status (0x0f) plen 4
    Create Connection (0x01|0x0005) status 0x00 ncmd 1
Comment 6 Neil MacLeod (reporter) maemo.org 2006-12-08 12:08:03 UTC
Additional datapoint: further attempts to establish BT connections to the W950i
(continuing on from the previous "session") result in the following output from
hcidump - the output below corresponds to 3 connection attempts (excluding
"immediate failures" - see below):

/home/user # hcidump -X -V
HCI sniffer - Bluetooth packet analyzer ver 1.33
device: hci0 snap_len: 1028 filter: 0xffffffff
< HCI Command: Create Connection (0x01|0x0005) plen 13
    bdaddr 00:19:63:15:B6:BA ptype 0xcc18 rswitch 0x01 clkoffset 0x0000
    Packet type: DM1 DM3 DM5 DH1 DH3 DH5
> HCI Event: Command Status (0x0f) plen 4
    Create Connection (0x01|0x0005) status 0x0c ncmd 1
    Error: Command Disallowed
< HCI Command: Create Connection (0x01|0x0005) plen 13
    bdaddr 00:19:63:15:B6:BA ptype 0xcc18 rswitch 0x01 clkoffset 0x0000
    Packet type: DM1 DM3 DM5 DH1 DH3 DH5
> HCI Event: Command Status (0x0f) plen 4
    Create Connection (0x01|0x0005) status 0x0c ncmd 1
    Error: Command Disallowed
< HCI Command: Create Connection (0x01|0x0005) plen 13
    bdaddr 00:19:63:15:B6:BA ptype 0xcc18 rswitch 0x01 clkoffset 0x0000
    Packet type: DM1 DM3 DM5 DH1 DH3 DH5
> HCI Event: Command Status (0x0f) plen 4
    Create Connection (0x01|0x0005) status 0x0c ncmd 1
    Error: Command Disallowed


Does the 770 attempt to establish the connection asynchronously? The reason I
ask is that the above "Error: Command Disallowed" line is output in xterm
immediately after clicking "Connect", yet the "Connection to phone failed - try
again?" error dialog does not appear for another 25 seconds. Once the error
dialog has appeared, clicking "OK" to "Try again" will present the phone in the
connection list but clicking "Connect" will *immediately" display another
"Connection to phone failed" dialog (with no output written by hcidump) - I have
to wait ~20 seconds before I can repeat the Disallowed/25-second timeout cycle
which does generate hcidump output.
Comment 7 Neil MacLeod (reporter) maemo.org 2006-12-08 12:16:18 UTC
By the way - this is my second W950i as my original phone had a defective USB
connection. Both phones however have behaved identically with respect to the
770's inability to connect, so either I've been incredibly unlucky with SE's
quality control or this is in fact standard behaviour with W950i phones! I
suspect the latter, and both phones are running the same firmware.

Also Johan - many thanks for building hcidump for me! :)
Comment 8 Johan Hedberg nokia 2006-12-08 12:25:35 UTC
I think the 25 seconds may be coming from the communication between the UI and
the bluetooth connection daemon (btcond). They use D-Bus to communicate and the
default D-Bus timeout when waiting for a method return to a method call is 25
seconds. It seems the daemon is working properly at least to some extent since
it causes the HCI_Create_Connection command to be sent. Actually, btcond will
call btsdp (over D-Bus) to get the channel of the service it wants to connect to
so it could be that the timeout comes from there too. Both btsdp and btcond
depend on the BlueZ socket interface to the kernel to get an error so it could
be that there's a bug in the kernel (the "connection dissalowed" error on HCI
level should imediately cause an error on the socket as well).

You might want to run "sdp-query <phone bt address>" (this is what btsdp uses)
or simply "sdptool browse <bt address>" or "sdptool search --bdaddr=<bt address>
DUN". If these commands don't work the bug is most likely in the kernel or on
the BT chip firmware.
Comment 9 Johan Hedberg nokia 2006-12-08 12:32:35 UTC
(In reply to comment #7)
> Also Johan - many thanks for building hcidump for me! :)

No problem :)

Btw, you might be able to use this hcidump on an libbluetooth1 system as well if
you simply create a symlink from libbluetooth.so.2 to libbluetooth.so.1
Comment 10 Johan Hedberg nokia 2006-12-08 12:38:59 UTC
Oh, and one more thing, if you install sysklogd and klogd you might get some
more useful info into /var/log/syslog. You could also run btcond in the
foreground (in another tab in xterm) by doing "/etc/init.d/btcond stop" and then
"btcond -l" (this causes btcond to print messages to stdout instead of syslog).
Comment 11 Neil MacLeod (reporter) maemo.org 2006-12-08 12:46:34 UTC
Created an attachment (id=153) [details]
hcidump of a successful 770 to W950i BT connection

Hi Johan - using Sardine I've just managed to establish a BT DUN connection on
the W950i. I achieved this by executing "hciconfig hci0 reset" then connecting
to the phone (see attached log). Subsequent BT connections would fail until I
had executed another "hciconfig hci0 reset". Hopefully this points in the
direction of a software/firmware issue rather than it being a hardware problem!


I'll play with the other commands and syslog/klogd and post what I can find -
many thanks for your help.
Comment 12 Neil MacLeod (reporter) maemo.org 2006-12-08 13:09:17 UTC
Created an attachment (id=154) [details]
hcidump of a failed connection (corresponding syslog follows)

Attached log shows hcidump -X -V output in Sardine for a *failed* connection
after a reboot - corresponding /var/log/syslog to follow in next post (btcond
-l didn't produce any output)
Comment 13 Neil MacLeod (reporter) maemo.org 2006-12-08 13:11:35 UTC
Created an attachment (id=155) [details]
syslog output from reboot and during a failed BT connection to W950i phone

This attachment contains the syslog output from device boot until shortly after
the "Connection to phone failed" dialog had appeared (and been dismissed).
Comment 14 Neil MacLeod (reporter) maemo.org 2006-12-08 13:37:47 UTC
Created an attachment (id=156) [details]
sdp-query and inline syslog output

The attached log contains a series of sdp-query commands with corresponding
syslog output.

The first sdp-query fails with the word "Error" appearing in xterm.

A second attempt succeeds after an "hciconfig hci0 reset" command.

A subsequent (3rd) sdp-query fails, suggesting the phone has moved out of range
as the connection times out (no output is generated by sdp-query in this case)

A fourth and final sdp-query fails immediately with an error (same failure as
the first pre-reset sdp-query). All subsequent attempts now fail identically as
this last case, until hci0 is reset.

I hope this helps - let me know if I can provide any more details! :)
Comment 15 Neil MacLeod (reporter) maemo.org 2006-12-08 13:54:08 UTC
Created an attachment (id=157) [details]
sdptool commands failing, hci0 reset, sdptool commands working

With the BT connection in it's now "failing" state the following commands were
recorded (see attached log).

When the sdptool commands fail, there are no entries written to syslog.
Comment 16 Johan Hedberg nokia 2006-12-08 14:19:20 UTC
(In reply to comment #12)
> Attached log shows hcidump -X -V output in Sardine for a *failed* connection
> after a reboot - corresponding /var/log/syslog to follow in next post (btcond
> -l didn't produce any output)

Ah, sorry, the -l switch will cause btcond to log to syslog. Not giving any
switch at all should cause it to print to stdout.

Based on the logs so far, it seems that there could be issues at both ends: the
SDP timeouts imply problems with the phone's SDP server, but the fact that
"hciconfig hci0 reset" helps sometimes implies something fishy at our end too.
Unfortunately that's all I've been able to conclude so far. I might actually
consider ordering one of these phones for IOP testing :)
Comment 17 Neil MacLeod (reporter) maemo.org 2006-12-08 14:27:55 UTC
> I might actually consider ordering one of these phones for IOP testing :)

Please do - I'll start a collection off with the first
Comment 18 Johan Hedberg nokia 2006-12-21 10:19:39 UTC
I've ordered a W950i. It should arrive within a week or so.
Comment 19 Neil MacLeod (reporter) maemo.org 2006-12-21 10:27:47 UTC
(In reply to comment #18)
> I've ordered a W950i. It should arrive within a week or so.

I hope you've ordered it through the firm (Nokia)! :)

Your dedication and assistance is much appreciated!
Comment 20 Johan Hedberg nokia 2006-12-21 10:33:57 UTC
(In reply to comment #19)
> I hope you've ordered it through the firm (Nokia)! :)

Of course :) The fact that this might affect several popular phone models was
enough business reason.
Comment 21 Johan Hedberg nokia 2006-12-21 12:06:10 UTC
Created an attachment (id=161) [details]
Modified sdp-query

Assuming that Marcel is correct in his suspicion about these phones not
supporting the Service Search Attribute request properly, could you try the
attached sdp-query binary (make a backup of your current one and then copy this
to /usr/bin). I've changed it to do separate Service Search and Service
Attribute requests instead of a SSA request.
Comment 22 Neil MacLeod (reporter) maemo.org 2006-12-21 13:08:03 UTC
(In reply to comment #21)
> Assuming that Marcel is correct in his suspicion about these phones not
> supporting the Service Search Attribute request properly, could you try the
> attached sdp-query binary (make a backup of your current one and then copy this
> to /usr/bin). I've changed it to do separate Service Search and Service
> Attribute requests instead of a SSA request.

Hi Johan

Unfortunately my Sardine installation has died due to the desktop failing at
startup following the most recent updates, so I've had to revert to Scirocco on
internal flash. As your modified sdp-query has a dependency on
libbluetooth.so.2, I've just sym linked libbluetooth.so.2 to libbluetooth.1.0.25
in order to test the modified binary.

After a reboot, I can't see any obvious difference with the modified sdp-query.

With the modified sdp-query, any attempts to establish a DUN connection work the
first time but fail on subsequent attempts until an "hciconfig hci0 reset" is
executed.

Executing sdp-query directly on the command line will work initially but then
fail once the 770 has established (and then disconnected) a DUN connection.
Again, "hciconfig hci0 reset" is needed before sdp-query will execute successfully.

Minor aside - it seems the new sdp-query is returning fewer capabilities than
the original sdp-query. The new sdp-query fails to return the following
capabilities:

r|OPP|3|0|Object Push
r|FTP|4|0|File Transfer
r|0x111F|9|0|Hands-free Audio Gateway

The missing capabilities aren't a big deal, however when pairing with the phone
the N770 now warns about the lack of file transfer ability. Maybe the old
libbluetooth.so is causing minor issues?
Comment 23 Johan Hedberg nokia 2006-12-21 13:21:22 UTC
Thanks for the testing Neil. Another idea which came to mind is if the first
connection gets somehow "stuck" (you should see it in the "hcitool con" output)
and successive ones fail because of it you might want to check if "hcitool dc
<bdaddr>" helps. Other than that I'm a little short on ideas now so we'll just
have to wait until I get the phone myself.
Comment 24 Neil MacLeod (reporter) maemo.org 2006-12-21 13:35:14 UTC
(In reply to comment #23)
> Thanks for the testing Neil. Another idea which came to mind is if the first
> connection gets somehow "stuck" (you should see it in the "hcitool con" output)
> and successive ones fail because of it you might want to check if "hcitool dc
> <bdaddr>" helps. Other than that I'm a little short on ideas now so we'll just
> have to wait until I get the phone myself.

I just went to check the output of "hcitool con" and got a successful
connection. Disconnected, then got another successful connection. And another,
and another, and another!

I take back what I said in comment #22, the 770 seems to be much more reliable
now than before - not sure why it was still flakey when I posted comment #22 as
I haven't rebooted since then. I'll keep testing some more, but it does seem
much better with the modified sdp-query! :)
Comment 25 Neil MacLeod (reporter) maemo.org 2006-12-21 23:42:27 UTC
Hi Johan

I've continued testing Scirocco with the modified sdp-query, and it's working
like a charm - 100% success rate connecting to the W950i and I must have
connected 30 or more times this afternoon! I've rebooted the 770 in between and
the excellent behaviour has continued after a reboot. Pairing is also working
OK, although it does warn about the lack of file transfer capability.

Many thanks for providing a fix - no doubt you can narrow down the finer details
when your W950i arrives! :)

Unless you have any Sony Ericsson/Symbian BT contacts willing to fix the sdp
response, I'm guessing the only option is to apply the fix to BlueZ. Do you
think a formal fix will be possible for Herring, or possibly Bora?
Comment 26 Johan Hedberg nokia 2006-12-22 00:02:31 UTC
Good to hear that it's working! I still need to figure out why some of the
services aren't being detected (it's very unlikely that the old libbluetooth1
would cause that). After that it should be possible to get an updated
osso-gwconnect package (which provides sdp-query, etc) immediately at least to
sardine. Can't say anything certain about the other releases (depends how
critical this is seen), but I'm sure an updated version will appear there at
some point.

Btw, this problem is only specific to osso-gwconnect and sdp-query, not to
BlueZ. E.g. the new D-Bus API of BlueZ uses exactly the same SDP procedure as my
modified sdp-query does.
Comment 27 Johan Hedberg nokia 2006-12-22 13:45:41 UTC
Created an attachment (id=162) [details]
Modified sdp-query (with increased max service count)

I got the W950i phone already today and also figured out why some services are
missing. I had a "maximum service record count" parameter value set to 10 in my
request, but the W950i has 13 record and HF AG, OPP and FTP seem to be the last
ones and therefore left our from the reply. The attached sdp-query should fix
this.
Comment 28 Neil MacLeod (reporter) maemo.org 2006-12-22 14:01:56 UTC
(In reply to comment #27)
> I got the W950i phone already today and also figured out why some services are
> missing. I had a "maximum service record count" parameter value set to 10 in my
> request, but the W950i has 13 record and HF AG, OPP and FTP seem to be the last
> ones and therefore left our from the reply. The attached sdp-query should fix
> this.

New version working fine here - I no longer see a warning about the lack of file
transfer support when pairing, and connections continue to be established
reliably. Many thanks! :)
Comment 29 Johan Hedberg nokia 2006-12-22 14:03:50 UTC
Btw, it seems the W950i I got has no problems with SSA (at least I have not
been
able to reproduce it yet), so it could be that a phone firmware upgrade could
have solved the issue as well.
Comment 30 Neil MacLeod (reporter) maemo.org 2006-12-22 15:48:34 UTC
(In reply to comment #29)
> Btw, it seems the W950i I got has no problems with SSA (at least I have not been
> able to reproduce it yet), so it could be that a phone firmware upgrade could
> have solved the issue as well.

That's just typical! ;)

This is the firmware level I've had in two UK phones (on O2 network) that have
behaved identically:

PDA Software: CXC162088 R1B01
Phone: CXC162037 R9C001
BT: CXC162058 R3A01
CDA: CDA162017/8 R1A08

This is still the latest firmware according to the SonyEriccson Update Service.

In terms of SSA, the original Scirocco sdp-query would work until I established
a BT connection with the W950i. If you then disconnect that connection and
execute sdp-query again, there's a good chance you will just get "Error" in
response at the command line.
Comment 31 Neil MacLeod (reporter) maemo.org 2007-01-04 02:23:44 UTC
Hi Johan

Were you able to reproduce this problem using the standard Scirocco sdp-query
binary and your W950i? If not, do you have the same firmware as my phone?

If you can't reproduce the problem, what am I doing wrong? :)

Thanks Neil
Comment 32 Johan Hedberg nokia 2007-01-04 11:33:06 UTC
Sorry for not commenting on the progress of this issue here. We were actually
able to reproduce the problem simply by trying to use the phone with an older
firmware version, so you're not doing anything wrong :)

The new package was also accepted by our system integration, but I can't say for
sure yet when it will appear in some official repository or firmware image.
Comment 33 Johan Hedberg nokia 2007-01-04 11:40:41 UTC
Just realized that my previous comment may be a little ambigious.

(In reply to comment #32)
> Sorry for not commenting on the progress of this issue here. We were actually
> able to reproduce the problem simply by trying to use the phone with an older
> firmware version, so you're not doing anything wrong :)

The firmware I'm talking about here is the 770 firmware (a version without the
fix), not the phone firmware. The W950i firmware version seems to be the same as
yours.
Comment 34 Neil MacLeod (reporter) maemo.org 2007-01-13 23:42:35 UTC
Hi Johan

Just a quick update to say that the N800 has *NO* problems connecting to the
W950i with OS 2007 2.2006.51-6 - it all works perfectly! :)

I guess there will be at least one future update for OS 2006 on 770 (possibly
even OS 2007 itself) - it would be great if the sdp-query fixes could make it
into the next 770 release.

I guess this bug should remain open until the problem is resolved on the 770 -
should this bug be assigned to someone so that it's not forgotten/overlooked?

Many thanks for all your help.
Comment 35 mike choy 2007-02-01 23:23:32 UTC
(In reply to comment #34)
> Hi Johan
> 
> Just a quick update to say that the N800 has *NO* problems connecting to the
> W950i with OS 2007 2.2006.51-6 - it all works perfectly! :)
> 
> I guess there will be at least one future update for OS 2006 on 770 (possibly
> even OS 2007 itself) - it would be great if the sdp-query fixes could make it
> into the next 770 release.
> 
> I guess this bug should remain open until the problem is resolved on the 770 -
> should this bug be assigned to someone so that it's not forgotten/overlooked?
> 
> Many thanks for all your help.

Hi Guys
I have this same problem on my m600i which is similar model to W950i
have installed sdp-query into /usr/bin as root. on my 770 with latest firmware
chowned file to be root owned.
now when I pair it comes back with
"selected phone does not have services that can be used.Select another phone"
Comment 36 mike choy 2007-02-02 11:23:43 UTC
(In reply to comment #35)
> (In reply to comment #34)
> > Hi Johan
> > 
> > Just a quick update to say that the N800 has *NO* problems connecting to the
> > W950i with OS 2007 2.2006.51-6 - it all works perfectly! :)
> > 
> > I guess there will be at least one future update for OS 2006 on 770 (possibly
> > even OS 2007 itself) - it would be great if the sdp-query fixes could make it
> > into the next 770 release.
> > 
> > I guess this bug should remain open until the problem is resolved on the 770 -
> > should this bug be assigned to someone so that it's not forgotten/overlooked?
> > 
> > Many thanks for all your help.
> 
> Hi Guys
> I have this same problem on my m600i which is similar model to W950i
> have installed sdp-query into /usr/bin as root. on my 770 with latest firmware
> chowned file to be root owned.
> now when I pair it comes back with
> "selected phone does not have services that can be used.Select another phone"

For additonal info
when I run sdp-Query from xterm it gives the following message

error while loading shared libraries:libbluetooth.so.2: cannot open shared
object file: No such file or directory.

not sure why I dont have this lib
I'm running 2006 v.3.2006.49-2

Mike C
Comment 37 Johan Hedberg nokia 2007-02-02 11:51:13 UTC
(In reply to comment #36)
> when I run sdp-Query from xterm it gives the following message
> 
> error while loading shared libraries:libbluetooth.so.2: cannot open shared
> object file: No such file or directory.

That's because I compiled it against libbluetooth2. Either install a
libbluetooth2 package or create a symlink from libbluetooth.so.2 to
libbluetooth.so.1 ("cd /usr/lib;ln -s libbluetooth.so.1 libbluetooth.so.2")
Comment 38 mike choy 2007-02-02 22:22:33 UTC
(In reply to comment #37)
> (In reply to comment #36)
> > when I run sdp-Query from xterm it gives the following message
> > 
> > error while loading shared libraries:libbluetooth.so.2: cannot open shared
> > object file: No such file or directory.
> 
> That's because I compiled it against libbluetooth2. Either install a
> libbluetooth2 package or create a symlink from libbluetooth.so.2 to
> libbluetooth.so.1 ("cd /usr/lib;ln -s libbluetooth.so.1 libbluetooth.so.2")

dont have a libbluetooth.so.1 but a libbluetooth.so.1.0.25
have created a link like so
ln -s libbluetooth.so.1.0.25 libbluetooth.so.2

reboot n770
then run hcitool scan and sdp-query gives following output

Nokia770-49:~# hcitool scan
Scanning ...
00:18:13:B8:59:0F M600i
Nokia770-49:~# sdp-query 00:18:13:B8:59:0F
l|0x110C|23|0|AVRCP Target
l|0x110E|23|0|AVRCP Controller
r|a2157972-3541-4d0b-a551-b3abe639f526|1|1200|m-Router Connectivity
r|SPP|2|1200|m-Router Connectivity
l|0x1115|15|0|Personal Ad-hoc User Service
l|0x1117|15|0|Group Ad-hoc Network Service
l|0x110A|25|0|Audio Streaming Source
l|0x8E771301|61689|0|SEMC HLA
r|DUN|7|0|Dial-up Networking
r|0x1112|8|0|Headset Audio Gateway
r|0x111F|9|0|Hands-free Audio Gateway
r|OPP|3|0|Object Push
r|FTP|4|0|File transfer

------------------------------------------------------------------
still struggling to pair the two devices
double arrow on the m600 shows communications
phone asks for 4 digit code request from 770
n770 appears in the mydevices but n770 says
authentication timed out after a while.

after several tries have got it to pair

still cant get it to connect to phone reliably
I'm using the latest firmware on the 770. 

Will downgrade to 39-14 to see if the fix works.

mike c
Comment 39 mike choy 2007-02-02 23:20:26 UTC
(In reply to comment #38)
> (In reply to comment #37)
> > (In reply to comment #36)
> > > when I run sdp-Query from xterm it gives the following message
> > > 
> > > error while loading shared libraries:libbluetooth.so.2: cannot open shared
> > > object file: No such file or directory.
> > 
> > That's because I compiled it against libbluetooth2. Either install a
> > libbluetooth2 package or create a symlink from libbluetooth.so.2 to
> > libbluetooth.so.1 ("cd /usr/lib;ln -s libbluetooth.so.1 libbluetooth.so.2")
> 
> dont have a libbluetooth.so.1 but a libbluetooth.so.1.0.25
> have created a link like so
> ln -s libbluetooth.so.1.0.25 libbluetooth.so.2
> 
> reboot n770
> then run hcitool scan and sdp-query gives following output
> 
> Nokia770-49:~# hcitool scan
> Scanning ...
> 00:18:13:B8:59:0F M600i
> Nokia770-49:~# sdp-query 00:18:13:B8:59:0F
> l|0x110C|23|0|AVRCP Target
> l|0x110E|23|0|AVRCP Controller
> r|a2157972-3541-4d0b-a551-b3abe639f526|1|1200|m-Router Connectivity
> r|SPP|2|1200|m-Router Connectivity
> l|0x1115|15|0|Personal Ad-hoc User Service
> l|0x1117|15|0|Group Ad-hoc Network Service
> l|0x110A|25|0|Audio Streaming Source
> l|0x8E771301|61689|0|SEMC HLA
> r|DUN|7|0|Dial-up Networking
> r|0x1112|8|0|Headset Audio Gateway
> r|0x111F|9|0|Hands-free Audio Gateway
> r|OPP|3|0|Object Push
> r|FTP|4|0|File transfer
> 
> ------------------------------------------------------------------
> still struggling to pair the two devices
> double arrow on the m600 shows communications
> phone asks for 4 digit code request from 770
> n770 appears in the mydevices but n770 says
> authentication timed out after a while.
> 
> after several tries have got it to pair
> 
> still cant get it to connect to phone reliably
> I'm using the latest firmware on the 770. 
> 
> Will downgrade to 39-14 to see if the fix works.
> 
> mike c

ok
have downgraded the firmware to 39-14 problem is still the same. exactly as
described above by neil. Let me know if there is anything you would like me to try

Kind regards
Mike C
Comment 40 mike choy 2007-02-03 00:48:24 UTC
(In reply to comment #39)
> (In reply to comment #38)
> > (In reply to comment #37)
> > > (In reply to comment #36)
> > > > when I run sdp-Query from xterm it gives the following message
> > > > 
> > > > error while loading shared libraries:libbluetooth.so.2: cannot open shared
> > > > object file: No such file or directory.
> > > 
> > > That's because I compiled it against libbluetooth2. Either install a
> > > libbluetooth2 package or create a symlink from libbluetooth.so.2 to
> > > libbluetooth.so.1 ("cd /usr/lib;ln -s libbluetooth.so.1 libbluetooth.so.2")
> > 
> > dont have a libbluetooth.so.1 but a libbluetooth.so.1.0.25
> > have created a link like so
> > ln -s libbluetooth.so.1.0.25 libbluetooth.so.2
> > 
> > reboot n770
> > then run hcitool scan and sdp-query gives following output
> > 
> > Nokia770-49:~# hcitool scan
> > Scanning ...
> > 00:18:13:B8:59:0F M600i
> > Nokia770-49:~# sdp-query 00:18:13:B8:59:0F
> > l|0x110C|23|0|AVRCP Target
> > l|0x110E|23|0|AVRCP Controller
> > r|a2157972-3541-4d0b-a551-b3abe639f526|1|1200|m-Router Connectivity
> > r|SPP|2|1200|m-Router Connectivity
> > l|0x1115|15|0|Personal Ad-hoc User Service
> > l|0x1117|15|0|Group Ad-hoc Network Service
> > l|0x110A|25|0|Audio Streaming Source
> > l|0x8E771301|61689|0|SEMC HLA
> > r|DUN|7|0|Dial-up Networking
> > r|0x1112|8|0|Headset Audio Gateway
> > r|0x111F|9|0|Hands-free Audio Gateway
> > r|OPP|3|0|Object Push
> > r|FTP|4|0|File transfer
> > 
> > ------------------------------------------------------------------
> > still struggling to pair the two devices
> > double arrow on the m600 shows communications
> > phone asks for 4 digit code request from 770
> > n770 appears in the mydevices but n770 says
> > authentication timed out after a while.
> > 
> > after several tries have got it to pair
> > 
> > still cant get it to connect to phone reliably
> > I'm using the latest firmware on the 770. 
> > 
> > Will downgrade to 39-14 to see if the fix works.
> > 
> > mike c
> 
> ok
> have downgraded the firmware to 39-14 problem is still the same. exactly as
> described above by neil. Let me know if there is anything you would like me to try
> 
> Kind regards
> Mike C
> 

Ignore previous post

Have rebooted a couple of times

and the connectivity seems to have improved. Have now connected four times in a
row no problems.
I have noticed that If I leave a good amount of time (more than 30 secs) after I
disconnect b4 i reconnect then it seems to reconnect no problems.

will report back once I have done more testing

Mike C
Comment 41 mike choy 2007-02-04 00:49:39 UTC
(In reply to comment #40)
> (In reply to comment #39)
> > (In reply to comment #38)
> > > (In reply to comment #37)
> > > > (In reply to comment #36)
> > > > > when I run sdp-Query from xterm it gives the following message
> > > > > 
> > > > > error while loading shared libraries:libbluetooth.so.2: cannot open shared
> > > > > object file: No such file or directory.
> > > > 
> > > > That's because I compiled it against libbluetooth2. Either install a
> > > > libbluetooth2 package or create a symlink from libbluetooth.so.2 to
> > > > libbluetooth.so.1 ("cd /usr/lib;ln -s libbluetooth.so.1 libbluetooth.so.2")
> > > 
> > > dont have a libbluetooth.so.1 but a libbluetooth.so.1.0.25
> > > have created a link like so
> > > ln -s libbluetooth.so.1.0.25 libbluetooth.so.2
> > > 
> > > reboot n770
> > > then run hcitool scan and sdp-query gives following output
> > > 
> > > Nokia770-49:~# hcitool scan
> > > Scanning ...
> > > 00:18:13:B8:59:0F M600i
> > > Nokia770-49:~# sdp-query 00:18:13:B8:59:0F
> > > l|0x110C|23|0|AVRCP Target
> > > l|0x110E|23|0|AVRCP Controller
> > > r|a2157972-3541-4d0b-a551-b3abe639f526|1|1200|m-Router Connectivity
> > > r|SPP|2|1200|m-Router Connectivity
> > > l|0x1115|15|0|Personal Ad-hoc User Service
> > > l|0x1117|15|0|Group Ad-hoc Network Service
> > > l|0x110A|25|0|Audio Streaming Source
> > > l|0x8E771301|61689|0|SEMC HLA
> > > r|DUN|7|0|Dial-up Networking
> > > r|0x1112|8|0|Headset Audio Gateway
> > > r|0x111F|9|0|Hands-free Audio Gateway
> > > r|OPP|3|0|Object Push
> > > r|FTP|4|0|File transfer
> > > 
> > > ------------------------------------------------------------------
> > > still struggling to pair the two devices
> > > double arrow on the m600 shows communications
> > > phone asks for 4 digit code request from 770
> > > n770 appears in the mydevices but n770 says
> > > authentication timed out after a while.
> > > 
> > > after several tries have got it to pair
> > > 
> > > still cant get it to connect to phone reliably
> > > I'm using the latest firmware on the 770. 
> > > 
> > > Will downgrade to 39-14 to see if the fix works.
> > > 
> > > mike c
> > 
> > ok
> > have downgraded the firmware to 39-14 problem is still the same. exactly as
> > described above by neil. Let me know if there is anything you would like me
to try
> > 
> > Kind regards
> > Mike C
> > 
> 
> Ignore previous post
> 
> Have rebooted a couple of times
> 
> and the connectivity seems to have improved. Have now connected four times in a
> row no problems.
> I have noticed that If I leave a good amount of time (more than 30 secs) after I
> disconnect b4 i reconnect then it seems to reconnect no problems.
> 
> will report back once I have done more testing
> 
> Mike C

Update
having played with the revised sdp-query for most of a day. It looks to be more
reliable on the os 2.2006.39-14 than 3.2006.49-2

however I only ever get 50% of my tries connecting. Some observations.

1. If you leave the n770 for say more than10mins and try a connect, there seems
to be greater chance of success. If you watch the bluetooth icon on the m600i it
shows both chevrons indicating that the n770 is talking to the M600i. You will
then get the internet connect sphere appear next to the bluetooth symbol. At
which point there the N770 will amlost certainly successfully connect.

2. If this first connect fails even after the two blue chevrons appear followed
by the connect sphere on the m600, subsequent attempts to reconnect will show
not chevrons at all, indicating that the two are not talking. You need to wait
another 10mins or so b4 you can try and connect as per step 1 above.

I'm going to experiment with connecting using the pc and will report back.

Mike C
Edit/Delete Message
Comment 42 timeless 2007-08-26 13:02:26 UTC
mike@acaciaclose.co.uk: please don't use the reply to comment feature. I know
bugzilla includes it, but it's a huge mistake and makes comments unreadable.
Just write something like comment 41 if you want to reference a comment.
Comment 41 is a great example of why quoting is a horrible idea. Also, this
isn't email, you don't need to sign your comments, bugzilla will remember who
you are and tell everyone.
Comment 44 timeless 2007-10-16 13:50:12 UTC
afaict the originally reported problem was fixed (w950i works w/ shipped n800)

as such, I'm going to resolve this bug. if people have problems w/ other
phones, they should file new bugs, preferably using the debugging hints from
this bug as a guide.

FWIW, I've used johan's w950i, I can understand why people like it, and I'd
like to thank the reporter for giving johan a business case for having it,
because without that, I'd have never used it :o.

For 770 owners, the 2007HE edition presumably should work .... but if it
doesn't the report should go in a new bug.
Comment 45 Neil MacLeod (reporter) maemo.org 2007-10-16 20:49:42 UTC
Hi Timeless - glad you got to enjoy the phone! :)

I can confirm the W950i works flawlessly with OS2007/N800 (all versions) and
the latest 4.2007.36-2 OS2007HE on 770.

For reference, the bug discussed in this report was never resolved in any
version of OS 2006/770 - I guess the fix came too late in the
development/release cycle to make it.

Marking bug CLOSED.